List Discord activity events

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /discord/{caseId}/profile/{discordId}/activity

Returns one page of activity events parsed from the Activity folder of a profile's Discord export; filter by event source, or search by event type. On a case shared with opposing counsel, a profile the caller may not see returns an empty page. Returns 404 when the profile is not linked to the case.

Path parameters

  • caseId string Required
  • discordId string Required

Query parameters

  • page number

    Default value is 1.

  • perPage number

    Default value is 10.

  • skip number

    If skip/limit not provided, page/perPage will take precedence

  • limit number

    If skip/limit not provided, page/perPage will take precedence

  • sortOrder string

    Values are asc or desc. Default value is asc.

  • searchText string

    Search eventType

  • eventSource string

    Filter by event source (analytics, modeling, reporting, tns)

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • total number Required
      • page number
      • perPage number
      • skip number
      • limit number
      • totalPages number Required
      • nextPage number | null Required
      • previousPage number | null Required
      • data array[object]
        Hide data attributes Show data attributes object
        • createdAt string(date-time) Required
        • updatedAt string(date-time) Required
        • id string Required
        • eventType string | null Required
        • eventId string Required
        • eventSource string | null Required
        • timestamp string(date-time) | null Required
        • rawData object | null Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /discord/{caseId}/profile/{discordId}/activity
curl \
 --request GET 'http://api.example.com/discord/{caseId}/profile/{discordId}/activity' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "total": 42,
    "page": 1,
    "perPage": 20,
    "skip": 0,
    "limit": 20,
    "totalPages": 3,
    "nextPage": 2,
    "previousPage": 42.0,
    "data": [
      {
        "createdAt": "2026-01-15T14:30:00.000Z",
        "updatedAt": "2026-01-15T14:30:00.000Z",
        "id": "507f1f77bcf86cd799439011",
        "eventType": "app_opened",
        "eventId": "AQEAAKzM7VxNfC0eEHn1example",
        "eventSource": "analytics",
        "timestamp": "2026-01-15T14:30:00.000Z",
        "rawData": {
          "event_type": "app_opened",
          "event_id": "AQEAAKzM7VxNfC0eEHn1example",
          "timestamp": "\"2026-01-15T14:30:00.000Z\"",
          "os": "Windows",
          "client_version": "1.0.9032"
        }
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}